<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Create A Receipt</title>
  </head>
  <header>
    <nav>
      <a href="{% url 'home' %}">My Receipts List</a>
      <a href="{% url 'logout' %}">Logout</a>
      <a href="{% url 'create_receipt' %}">Create a Receipt</a>
      <a href="{% url 'create_account' %}">Create an Account</a>
    </nav>

  </header>
  <body>
    <main>
      <div>
        <h1>Account Categories</h1>
      </div>
      <table>
        <tr>
          <thead>
            <tr>
              <th>Name</th>
              <th>Number</th>
              <th>Number of Receipts</th>
            </tr>
          </thead>
          <tbody>
            {% for indiv_acc in account_list %}
            <tr>
              <td>{{ indiv_acc.name }}</td>
              <td>{{ indiv_acc.number }}</td>
              <td>{{ indiv_acc.receipts.all|length }}</td>
              {% comment %} see receipts/views line 42, we refer to that as
              context so that has to match here. because we interacted with our
              Account model, inside that model, we have a foreign key, that ties
              to the Receipt class, see line 40, this allows us to call on all
              the records in Receipt to find the length {% endcomment %}
            </tr>
            {% endfor %}
          </tbody>
        </tr>
      </table>
    </main>
  </body>
</html>
